Skip to main content
POST
borrowLendUserState

Authorizations

X-API-KEY
string
header
required

API key to access the API (Optional)

Query Parameters

chainId
enum<number>
default:999
required

Unique identifier for a blockchain network.

Available options:
999,
998
Example:

999

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
Dwellir,
Chainstack,
Covalent

Body

application/json
type
enum<string>
default:borrowLendUserState
required
Available options:
borrowLendUserState
Example:

"borrowLendUserState"

user
string
required

The account address to query (0x-prefixed).

Example:

"0x000000000000000000000000000000000000dEaD"

Response

200 - application/json

Successful response.

tokenToState
any[][]
required

The user's per-token borrow/lend positions.

health
string
required
Example:

"healthy"

healthFactor
string | null